| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__GetAuthCodeListRequest Struct Reference
Business Group Authorization Code

Get Authorization Code List request. More...

`#include <osv-if-doc.h>`

## Public Attributes
struct unsp__Paging * | Paging
| Standard paging structure. More...
enum unsp__SortOrder * | SortOrder
| Standard sorting structure. More...
char * | OperatorId
| Operator Id. More...
unsp__BGName | BGName
| Business Group Name. More...
unsp__AuthCode | AuthCode
| The Authorization Code to filter on. More...
unsp__ServiceId | ServiceId
| The Subscriber ID associated with an Authorization Code to filter on. More...
enum unsp__FilterAuthCodeType * | FilterAuthCodeType
| The Authorization Code Type to filter on. More...
enum unsp__SortAuthCodeType * | SortAuthCodeType
| The Authorization Code Sort Type. More...

## Detailed Description

Get Authorization Code List request.

Used by unsp__GetAuthCodeList()

## Member Data Documentation

## ◆ AuthCode

unsp__AuthCode unsp__GetAuthCodeListRequest::AuthCode

The Authorization Code to filter on.

required: false
default value[range]: NA [2..14]

## ◆ BGName

unsp__BGName unsp__GetAuthCodeListRequest::BGName

Business Group Name.

required: true

See also
  unsp__BGName

## ◆ FilterAuthCodeType

enum unsp__FilterAuthCodeType* unsp__GetAuthCodeListRequest::FilterAuthCodeType

The Authorization Code Type to filter on.

required: false
default value[range]: FilterAuthCodeUndefined

## ◆ OperatorId

char* unsp__GetAuthCodeListRequest::OperatorId

Operator Id.

See also
  unsp__OperatorId

## ◆ Paging

struct unsp__Paging* unsp__GetAuthCodeListRequest::Paging

Standard paging structure.

required: false

## ◆ ServiceId

unsp__ServiceId unsp__GetAuthCodeListRequest::ServiceId

The Subscriber ID associated with an Authorization Code to filter on.

required: false

See also
  unsp__ServiceId

## ◆ SortAuthCodeType

enum unsp__SortAuthCodeType* unsp__GetAuthCodeListRequest::SortAuthCodeType

The Authorization Code Sort Type.

required: false
default value[range]: AuthCodeSortType_None

## ◆ SortOrder

enum unsp__SortOrder* unsp__GetAuthCodeListRequest::SortOrder

Standard sorting structure.

required: false

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h